import { AxiosInstance } from 'axios';
import { ItemsHandler, ServerHandler, UtilsHandler, ActivityHandler, FoldersHandler, PermissionsHandler, PresetsHandler, RolesHandler, UsersHandler, SettingsHandler, FilesHandler, CollectionsHandler, FieldsHandler, AuthHandler, RelationsHandler, AuthOptions, RevisionsHandler } from './handlers';
declare class DirectusSDK {
    axios: AxiosInstance;
    private authOptions;
    constructor(url: string, options?: {
        auth: Partial<AuthOptions>;
    });
    get url(): string;
    set url(val: string);
    auth: AuthHandler;
    items(collection: string): ItemsHandler;
    get activity(): ActivityHandler;
    get collections(): CollectionsHandler;
    get fields(): FieldsHandler;
    get files(): FilesHandler;
    get folders(): FoldersHandler;
    get permissions(): PermissionsHandler;
    get presets(): PresetsHandler;
    get relations(): RelationsHandler;
    get revisions(): RevisionsHandler;
    get roles(): RolesHandler;
    get server(): ServerHandler;
    get settings(): SettingsHandler;
    get users(): UsersHandler;
    get utils(): UtilsHandler;
}
export default DirectusSDK;
